Skip to content
Coritan Docs

Client API: Mail: Smtp relay

The 8 Client API operations for smtp relay.

View as Markdown

Part of Mail.

GET /api/v1/client/smtp-relay/services

Authentication: an access token, sent as Authorization: Bearer <token>.

Status Meaning
200 Success.

GET /api/v1/client/smtp-relay/{service_id}

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
service_id path integer yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

PATCH /api/v1/client/smtp-relay/{service_id}/category

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
service_id path integer yes

application/json (required)

Field Type Required
default_category string yes
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/client/smtp-relay/{service_id}/events

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required Description
service_id path integer yes
category query string or null no
recipient query string or null no
hours query integer no Default: 24.
limit query integer no Default: 100.
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/client/smtp-relay/{service_id}/limits/increase-request

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
service_id path integer yes

application/json (required)

Field Type Required Description
requested_per_hour integer yes
reason string no What the relay sends and why the volume is going up
Status Meaning
201 Success.
422 The request is not valid. detail lists each problem.

POST /api/v1/client/smtp-relay/{service_id}/messages

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required
service_id path integer yes

application/json (required)

Field Type Required
from string yes
from_name string or null no
to array of string yes
cc array of string no
subject string no
text string or null no
html string or null no
reply_to string or null no
headers Headers no
category string or null no
Status Meaning
202 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/client/smtp-relay/{service_id}/reputation

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required Description
service_id path integer yes
limit query integer no Default: 50.
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.

GET /api/v1/client/smtp-relay/{service_id}/usage

Authentication: an access token, sent as Authorization: Bearer <token>.

Name In Type Required Description
service_id path integer yes
days query integer no Default: 30.
Status Meaning
200 Success.
422 The request is not valid. detail lists each problem.